Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dtd
Class DTDGrammarBucket

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.DTDGrammarBucket

Deprecated. please use JDK supplied XML parsers and transformers

public class DTDGrammarBucket
extends Object

This very simple class is the skeleton of what the DTDValidator could use to store various grammars that it gets from the GrammarPool. As in the case of XSGrammarBucket, one thinks of this object as being closely associated with its validator; when fully mature, this class will be filled from the GrammarPool when the DTDValidator is invoked on a document, and, if a new DTD grammar is parsed, the new set will be offered back to the GrammarPool for possible inclusion.

Field Summary
`protected DTDGrammar` | `fActiveGrammar` Deprecated.
`protected Hashtable` | `fGrammars` Deprecated. Grammars associated with element root name.
`protected boolean` | `fIsStandalone` Deprecated.

Constructor Summary
`DTDGrammarBucket()` Deprecated. Default constructor.

Method Summary
`void` | `clear()` Deprecated.
`DTDGrammar` | `getGrammar(XMLGrammarDescription desc)` Deprecated.
`void` | `putGrammar(DTDGrammar grammar)` Deprecated. Puts the specified grammar into the grammar pool and associate it to a root element name (this being internal, the lack of generality is irrelevant).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fActiveGrammar

    protected DTDGrammar fActiveGrammar

  Deprecated.

### fGrammars

    protected Hashtable fGrammars

  Deprecated.
  Grammars associated with element root name.

### fIsStandalone

    protected boolean fIsStandalone

  Deprecated.

Constructor Detail

### DTDGrammarBucket

    public DTDGrammarBucket()

  Deprecated.
  Default constructor.

Method Detail

### clear

    public void clear()

  Deprecated.

### getGrammar

    public DTDGrammar getGrammar(XMLGrammarDescription desc)

  Deprecated.

### putGrammar

    public void putGrammar(DTDGrammar grammar)

  Deprecated.
  Puts the specified grammar into the grammar pool and associate it to a root element name (this being internal, the lack of generality is irrelevant).

  Parameters:
    `grammar` - The grammar.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD